Bug 201502 - sysutils/py-salt: update to 2015.5.3
Summary: sysutils/py-salt: update to 2015.5.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-12 16:58 UTC by Johannes Jost Meixner
Modified: 2015-07-19 18:08 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (christer.edwards)


Attachments
svn diff (271 bytes, text/plain)
2015-07-12 16:58 UTC, Johannes Jost Meixner
no flags Details
py27-salt-2015.5.3.patch (1.54 KB, patch)
2015-07-18 22:26 UTC, Jason Unovitch
no flags Details | Diff
Poudriere testport log from 10.1-RELEASE jail (325.52 KB, text/x-log)
2015-07-18 22:42 UTC, Jason Unovitch
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Jost Meixner freebsd_committer 2015-07-12 16:58:02 UTC
Created attachment 158657 [details]
svn diff

attached the update to 2015.5.3.

Tested with portlint -AC, poudriere... fetches, builds :-)
Comment 1 Christer Edwards 2015-07-13 16:41:32 UTC
The attachment doesn't look like a diff. Am I missing something?
Comment 2 Jason Unovitch freebsd_committer 2015-07-18 22:26:36 UTC
Created attachment 158955 [details]
py27-salt-2015.5.3.patch

- Update Salt to 2015.5.3
- Add NO_ARCH
Comment 3 Jason Unovitch freebsd_committer 2015-07-18 22:28:43 UTC
(In reply to Jason Unovitch from comment #2)
Typical version bump and make makesum.  One minor change to the pkg-plist based on the salt/states/apt.py file getting renamed salt/states/aptpkg.py upstream.

Ref: https://github.com/saltstack/salt/commit/785d27707f77399c0aeb5bd550ebefac13f1ee07
Comment 4 Christer Edwards 2015-07-18 22:30:55 UTC
Looks good. +1.
Comment 5 Jason Unovitch freebsd_committer 2015-07-18 22:42:38 UTC
Created attachment 158956 [details]
Poudriere testport log from 10.1-RELEASE jail

Runtime looks good on a 2015.5.3 Saltmaster. I will be testing a 2015.5.3 client soon.

> portlint -ac
looks fine.

Builds on the following all passed. 10.1-RELEASE log is attached. The only actionable item I saw was resolved with the NO_ARCH.
8.4-RELEASE-p31      amd64
8.4-RELEASE-p31      i386
9.3-RELEASE-p17      amd64
9.3-RELEASE-p17      i386
10.1-RELEASE-p14     amd64
10.1-RELEASE-p14     i386
11.0-CURRENT r284725 amd64
11.0-CURRENT r284725 i386
Comment 6 Johannes Jost Meixner freebsd_committer 2015-07-19 04:16:57 UTC
Looks good indeed, thanks Jason.
Comment 7 commit-hook freebsd_committer 2015-07-19 18:07:00 UTC
A commit references this bug:

Author: lwhsu
Date: Sun Jul 19 18:05:59 UTC 2015
New revision: 392525
URL: https://svnweb.freebsd.org/changeset/ports/392525

Log:
  - Update to 2015.5.3

  PR:		201502
  Submitted by:	xmj (the PR)
  		Jason Unovitch <jason.unovitch@gmail.com> (the patch)
  Approved by:	christer.edwards@gmail.com (maintainer)

Changes:
  head/sysutils/py-salt/Makefile
  head/sysutils/py-salt/distinfo
  head/sysutils/py-salt/pkg-plist